function love.load()
	if not effectcanvas then
		effectcanvas = {
			love.graphics.newCanvas(), --1
			love.graphics.newCanvas(), --2
			love.graphics.newCanvas()  --3
		}
	end

    xblur = love.graphics.newPixelEffect[[
				const number blurSize = 1.0/200.0;
				extern number size = 4.0;
				
				vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pixel_coords)
				{
					vec4 sum = Texel(tex, tc) * 1.0;
					
					for (number i = 1.0; i >= size; i += 1.0)
					{
						sum += Texel(tex, tc + vec2(i*blurSize, 0.0)) * (1.0-(i/10.0));
						sum += Texel(tex, tc - vec2(i*blurSize, 0.0)) * (1.0+(i/10.0));
					}
					
					vec4 total = color * sum;
					
					return min(total*1.0, 1.0);
				}
			]]
			
	yblur = love.graphics.newPixelEffect[[
				const number blurSize = 1.0/100.0;
				
				vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pixel_coords)
				{
					vec4 sum = Texel(tex, tc) * 1.0;
					
					sum += Texel(tex, tc - vec2(0.0, 4.0*blurSize)) * 0.5;
					sum += Texel(tex, tc - vec2(0.0, 3.0*blurSize)) * 0.7;
					sum += Texel(tex, tc - vec2(0.0, 2.0*blurSize)) * 0.8;
					sum += Texel(tex, tc - vec2(0.0, blurSize)) * 0.9;
					sum += Texel(tex, tc + vec2(0.0, blurSize)) * 0.9;
					sum += Texel(tex, tc + vec2(0.0, 2.0*blurSize)) * 0.8;
					sum += Texel(tex, tc + vec2(0.0, 3.0*blurSize)) * 0.7;
					sum += Texel(tex, tc + vec2(0.0, 4.0*blurSize)) * 0.5;
					
					vec4 total = color * sum;
					
					return min(total*1.0, 1.0);
				}
			]]
			
	
	blur = false
end

function love.draw()
	if blur then
		for i=1,3 do
			effectcanvas[i]:clear()
		end
		love.graphics.setRenderTarget(effectcanvas[1])
		love.graphics.setPixelEffect()
	end
	
	love.graphics.point(100.5,50.5)
	
	if blur then
		love.graphics.setPixelEffect(xblur)
		love.graphics.setRenderTarget(effectcanvas[2])
		love.graphics.draw(effectcanvas[1],0,0)
		love.graphics.setPixelEffect(yblur)
		love.graphics.setRenderTarget(effectcanvas[3])
		love.graphics.draw(effectcanvas[2],0,0)
		love.graphics.setPixelEffect()
		love.graphics.setRenderTarget()
		love.graphics.draw(effectcanvas[3],0,0)
		
		local warning = xblur:getWarnings()
		if warning then
			love.graphics.print(warning,0,0)
		end
	end
end

function love.update(dt)
	xblur:send("size", 4.0)
end

function love.keypressed(key)
	if key == " " then
		blur = not blur
	end
end